Bug 213299 - www/subsonic-standalone: correct LICENSE
Summary: www/subsonic-standalone: correct LICENSE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jeremie Le Hen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-08 00:23 UTC by Allison Nicole Reid
Modified: 2017-07-26 20:18 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jlh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allison Nicole Reid 2016-10-08 00:23:28 UTC
Subsonic 5.3 is the last version licensed GPLv3. As of 6.0 it is proprietary. Your port still incorrectly lists LICENSE=GPLv3 for 6.0

Sources:

http://forum.subsonic.org/forum/viewtopic.php?f=4&t=16604#p71128

https://github.com/sindremehus/subsonic/issues/1 (Repo is for 5.3)
Comment 1 Jeremie Le Hen freebsd_committer 2017-07-02 10:16:53 UTC
Hi Allison,

Sorry for the delay handling this.  This maintainnership is carried out on a very low priority.

Sent a patch for review:
https://reviews.freebsd.org/D11444
Comment 2 commit-hook freebsd_committer 2017-07-26 20:18:30 UTC
A commit references this bug:

Author: jlh
Date: Wed Jul 26 20:18:21 UTC 2017
New revision: 446695
URL: https://svnweb.freebsd.org/changeset/ports/446695

Log:
  Subsonic 6.0beta1 was still GPL and then changed to "something".

  https://github.com/Libresonic/libresonic#history

  PR:		213299
  Submitted by:	Allison Nicole Reid <root at cooltrainer org>
  Approved by:	adamw (Phabricator), jpaetzel (IRC)
  Differential Revision:	https://reviews.freebsd.org/D11444

Changes:
  head/www/subsonic-standalone/Makefile